RegexFilenameFilter (Jakarta-ORO 2.0.8 API)
Keywords: org.apache.oro.io.RegexFilenameFilter class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.oro.io
Class RegexFilenameFilter

    java.lang.Object
      org.apache.oro.io.RegexFilenameFilter

All Implemented Interfaces:
  java.io.FileFilter, java.io.FilenameFilter

Direct Known Subclasses:
  AwkFilenameFilter, GlobFilenameFilter, Perl5FilenameFilter

public abstract class RegexFilenameFilter
extends java.lang.Object
implements java.io.FilenameFilter, java.io.FileFilter

RegexFilenameFilter is the base class for a set of FilenameFilter implementations that filter based on a regular expression.

Since:
  1.0
Version:
  2.0.8
See Also:
  `Perl5FilenameFilter`, `AwkFilenameFilter`, `GlobFilenameFilter`

Method Summary
`boolean` | `accept(java.io.File pathname)` Filters a filename.
`boolean` | `accept(java.io.File dir, java.lang.String filename)` Filters a filename.
`void` | `setFilterExpression(java.lang.String regex)` Set the regular expression on which to filter.
`void` | `setFilterExpression(java.lang.String regex, int options)` Set the regular expression on which to filter along with any special options to use when compiling the expression.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### setFilterExpression

    public void setFilterExpression(java.lang.String regex)
                             throws MalformedCachePatternException

  Set the regular expression on which to filter.

  Parameters:
    `regex` - The regular expression on which to filter.
  Throws:
    `MalformedCachePatternException` - If there is an error in compiling the regular expression. This need not be caught if you are using a hard-coded expression that you know is correct. But for robustness and reliability you should catch this exception for dynamically entered expressions determined at runtime.

### setFilterExpression

    public void setFilterExpression(java.lang.String regex,
                                    int options)
                             throws MalformedCachePatternException

  Set the regular expression on which to filter along with any special options to use when compiling the expression.

  Parameters:
    `regex` - The regular expression on which to filter.
    `options` - A set of compilation options specific to the regular expression grammar being used.
  Throws:
    `MalformedCachePatternException` - If there is an error in compiling the regular expression. This need not be caught if you are using a hard-coded expression that you know is correct. But for robustness and reliability you should catch this exception for dynamically entered expressions determined at runtime.

### accept

    public boolean accept(java.io.File dir,
                          java.lang.String filename)

  Filters a filename. Tests if the filename EXACTLY matches the pattern contained by the filter. The directory argument is not examined. Conforms to the java.io.FilenameFilter interface.

  Specified by:
    `accept` in interface `java.io.FilenameFilter`
  Parameters:
    `dir` - The directory containing the file.
    `filename` - The name of the file.
  Returns:
    True if the filename EXACTLY matches the pattern, false if not.

### accept

    public boolean accept(java.io.File pathname)

  Filters a filename. Tests if the filename EXACTLY matches the pattern contained by the filter. The filename is defined as pathname.getName(). Conforms to the java.io.FileFilter interface.

  Specified by:
    `accept` in interface `java.io.FileFilter`
  Parameters:
    `pathname` - The file pathname.
  Returns:
    True if the filename EXACTLY matches the pattern, false if not.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2000-2003 Apache Software Foundation. All Rights Reserved.